import NameAndClassification from '~/components/report_cards/target/NameAndClassification.vue'
import ActivityCharts from '~/components/report_cards/target/ActivityCharts.vue'
import EntityNames from '~/web-components-submodule/standardisation/EntityNames.js'
import TargetCrystalStructures from '~/components/report_cards/target/TargetCrystalStructures.vue'

const methods = {
  generateReportCardStructure(itemID) {
    return {
      title: `${EntityNames.EubopenTarget.singularEntityName} ${itemID}`,
      sections: [
        {
          id: 'NameAndClassification',
          title: 'Name and Classification',
          component: NameAndClassification,
          index: 0,
        },
        {
          id: 'ActivityCharts',
          title: 'Activity Charts',
          component: ActivityCharts,
          index: 1,
        },
        {
          id: 'CrystalStructures',
          title: 'Crystal Structures',
          component: TargetCrystalStructures,
          index: 2,
        },
      ],
    }
  },
}

export default methods
